summaryrefslogtreecommitdiffstats
path: root/initramfs/initrd-stuff
diff options
context:
space:
mode:
authorMichael Janczyk2007-10-04 19:13:25 +0200
committerMichael Janczyk2007-10-04 19:13:25 +0200
commit5354228bb335d5b4277d6010769cbd9cc5d3a725 (patch)
treed58e123758dc26acd7a0ad6f7bd90b02f5be7824 /initramfs/initrd-stuff
parentAeh, fix ... for lbdev again. (diff)
downloadcore-5354228bb335d5b4277d6010769cbd9cc5d3a725.tar.gz
core-5354228bb335d5b4277d6010769cbd9cc5d3a725.tar.xz
core-5354228bb335d5b4277d6010769cbd9cc5d3a725.zip
splashy works now with ubuntu.
git-svn-id: http://svn.openslx.org/svn/openslx/trunk@1367 95ad53e4-c205-0410-b2fa-d234c58c8868
Diffstat (limited to 'initramfs/initrd-stuff')
-rwxr-xr-xinitramfs/initrd-stuff/bin/servconfig11
-rwxr-xr-xinitramfs/initrd-stuff/init9
2 files changed, 12 insertions, 8 deletions
diff --git a/initramfs/initrd-stuff/bin/servconfig b/initramfs/initrd-stuff/bin/servconfig
index 0cc0fe36..6e8c0dda 100755
--- a/initramfs/initrd-stuff/bin/servconfig
+++ b/initramfs/initrd-stuff/bin/servconfig
@@ -546,11 +546,16 @@ $0: $date\n:0 local X :0 vt07\n" >/mnt/etc/X11/xdm/Xservers
test -f /var/run/kiosk || break; sleep 3;
done
touch /var/run/kiosk
- resmgr login nobody tty7 \\
+ for((i=0;\$i<=120;i=\$((\$i+1)))); do
+ [ -e /var/run/resmgr.pid ] && break
+ [ \$i = 120 ] && exit 1
+ sleep 1
+ done
+ resmgr login nobody tty8 \\
&& resmgr grant nobody desktop \\
&& chown -R nobody:nogroup /var/lib/nobody \\
- && (su -c 'amixer -q sset Master 28 unmute
- amixer -q sset PCM 28 unmute
+ && (su -c '(sleep 10; amixer -q sset Master 28 unmute; \\
+ amixer -q sset PCM 28 unmute) &
xinit /var/X11R6/bin/startgui $start_x \\
-- vt7 -quiet' -l nobody &>/dev/null)
rm /var/run/kiosk
diff --git a/initramfs/initrd-stuff/init b/initramfs/initrd-stuff/init
index dc5e533d..709bd7bf 100755
--- a/initramfs/initrd-stuff/init
+++ b/initramfs/initrd-stuff/init
@@ -112,7 +112,9 @@ echo "noldap" > /tmp/ldap-done
file="yes"
# splashy stuff seems to depend on /proc/fb with VESA!?
-if cat /proc/fb |grep VESA > /dev/null 2>&1 ; then
+# only activate with kernel option quiet
+if grep -qi '\(vesa|vga\)' /proc/fb > /dev/null 2>&1 \
+ && grep -qi " quiet " /proc/cmdline > /dev/null 2>&1; then
export nosplash=0
else
export nosplash=1
@@ -272,9 +274,6 @@ $0\n# deprecated: please use rootfs=nfs://...\nnfsroot=\"${nfsroot}\"\n" \
vci=${opts#vci=};;
xenbr)
xenbr=1;;
- # splashy stuff
- nosplash)
- nosplash=1;;
esac
done
@@ -317,7 +316,7 @@ fi
# set debug level and logfile
if [ $DEBUGLEVEL -eq 20 ] ; then
echo "** Setting debuglevel to ${DEBUGLEVEL} at $(sysup)"
-else
+elif [ $DEBUGLEVEL -ne 0 ] ; then
echo "Setting debuglevel to ${DEBUGLEVEL}"
fi
export MODPRV=" "